<script type="text/javascript">
    RED.nodes.registerType('prometheus-label-values', {
        category: 'prometheus',
        color: '#F3B567',
        defaults: {
            name: { 
                value: "" 
            },
            server: {
                required: true,
                type: "prometheus-server"
            },
            label: {
                required: false,
                type: "string"
            },
            match: {
                value: [],
                required: false,
            },
            start: { 
                value: null,
                required: false
            },
            end: { 
                value: null,
                required: false
            }
        },
        inputs: 1,
        outputs: 1,
        icon: "prometheus.png",
        paletteLabel: "label-values",
        label: function() {
            return this.name || "label-values";
        }
    });
</script>

<script type="text/html" data-template-name="prometheus-label-values">
    <div class="form-row">
        <label for="node-input-server"><i class="fa fa-globe"></i> Server</label>
        <input type="text" id="node-input-server" placeholder="Prometheus Server">
    </div>
    <div class="form-row">
        <label for="node-input-label"><i class="fa fa-tag"></i> Label</label>
        <input type="text" id="node-input-label" placeholder="Label">
    </div>
    <div class="form-row">
        <label for="node-input-match"><i class="fa fa-search"></i> Matches</label>
        <input type="text" id="node-input-match" placeholder="Match">
    </div>
    <div class="form-row">
        <label for="node-input-start"><i class="fa fa-clock-o"></i> Start</label>
        <input type="text" id="node-input-start" placeholder="Start">
    </div>
    <div class="form-row">
        <label for="node-input-end"><i class="fa fa-clock-o"></i> End</label>
        <input type="text" id="node-input-end" placeholder="End">
    </div>
    <div class="form-row">
        <label for="node-input-name"><i class="fa fa-tag"></i> Name</label>
        <input type="text" id="node-input-name" placeholder="Name">
    </div>
    <div class="form-tips">
        <strong>Matches</strong>: If left empty, <code>msg.payload</code> will be used as value.<br/>
    </div>
    <div class="form-tips">
        More info: <a href="https://prometheus.io/docs/prometheus/latest/querying/api/#getting-label-names" target="_blank">
            Returns a list of label values
        </a>
    </div>
</script>

<script type="text/html" data-help-name="prometheus-label-values">
    <p>Returns the list of time label values that match certain series</p>
</script>
